View Issue Details

IDProjectCategoryView StatusLast Update
0032957Open CASCADEOCCT:Codingpublic2022-06-24 09:37
Reportersmoskvin Assigned Toddzama  
PrioritynormalSeverityminor 
Status assignedResolutionopen 
Product Version7.7.0 
Target Version7.7.0 
Summary0032957: [REGRESSION] Coding - problem compile OCCT using vc12 due to `noexcept`
Descriptionhttp://jenkins-test-11.nnov.opencascade.com/view/CR0-WEEK-17_CR0-WEEK-17/view/OCCT%20compile/job/CR0-WEEK-17_CR0-WEEK-17-OCCT-Windows-32-VC12-opt-compile/4/parsed_console/
Steps To ReproduceNot required
TagsNo tags attached.
Test case number

Relationships

has duplicate 0032994 closedbugmaster Open CASCADE key word `noexcept` is undefined on visual studio 2013 (vc12) 
child of 0032887 assignedddzama Open CASCADE Coding - Problem of compilation on VS2019/C++20 

Activities

git

2022-06-03 05:06

administrator   ~0108806

Branch CR32957 has been created by ddzama.

SHA-1: 708ac19e95ffbdd2751abfd88b0078a3b9d2824e


Detailed log of new commits:

Author: ddzama
Date: Tue May 24 11:22:26 2022 +0300

    Employ Standard_Noexcept

Author: ddzama
Date: Fri Jun 3 04:56:33 2022 +0300

    0032957: add /Zc:__cplusplus option to MSVC

Author: ddzama
Date: Tue May 24 11:12:23 2022 +0300

    Add Standard_Noexcept.hxx

git

2022-06-03 12:41

administrator   ~0108822

Branch CR32957 has been updated forcibly by ddzama.

SHA-1: 44959d7cdfc5cf264187243c7e9e9dd44e688e82

git

2022-06-03 14:17

administrator   ~0108832

Branch CR32957 has been updated forcibly by ddzama.

SHA-1: e3da247ace4de41a7e069a66278bf6e2e5b6dd72

git

2022-06-09 14:13

administrator   ~0108937

Branch CR32957 has been updated forcibly by ddzama.

SHA-1: 8a0f3fb2e8aa3083d23e99168055ebb5d3b78d21

git

2022-06-21 11:45

administrator   ~0109137

Branch CR32957 has been updated forcibly by ddzama.

SHA-1: 226969f7e1bf214fbe0bcfed20764e5cf8f38e04

ddzama

2022-06-24 07:12

developer   ~0109212

@kgv, @msv, please, see actual testing result:

http://jenkins-test-occt.nnov.opencascade.com/view/CR32887-cxx11/view/COMPARE/

http://jenkins-test-11.nnov.opencascade.com/view/CR32887_CR32887/

kgv

2022-06-24 09:35

developer   ~0109216

Last edited: 2022-06-24 09:37

@ddzama

> 0032957: Add Standard_Noexcept.hxx

It doesn't look worthwhile declaring this temporary compatibility macros within a separate header file.
Other similar macros are currently defined within `Standard_Macro.hxx`.

> 0032957: Employ Standard_Noexcept

This commit should be merged with the one introducing new macros.

> 0032957: add /Zc:__cplusplus option to MSVC

This change should be suggested as a separate integration ticket.
Moreover, commit description doesn't clarify why this change is required / preferable at all.
I'm not sure that we want adding this flag at all.

+# So, it should compiles with c++11/c++14 language standard.

`should be compiled`.

+# Current Qt version is incompatible with c++20.

Which exactly `current version` is mentioned here?
Please be more specific in the code, not just in git commit description.

because of incomatibility of 5.11.2 version of Qt library interface with C++20 standard.

`incomatibility` misprint.
Qt 5 is NOT the latest version of this library, users are already using Qt 6 in some projects.

+set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 11)
\ No newline at end of file

Please add suggested newlines.
These repetitive hacks in individual projects looks fragile - it would be better unifying this somehow.

Issue History

Date Modified Username Field Change
2022-05-04 10:04 smoskvin New Issue
2022-05-04 10:04 smoskvin Assigned To => ddzama
2022-05-04 12:00 kgv Relationship added child of 0032917
2022-05-04 12:01 kgv Product Version => 7.5.0
2022-05-04 12:01 kgv Target Version 7.6.3 => 7.7.0
2022-05-04 12:01 kgv Status new => assigned
2022-05-04 12:02 kgv Summary Problem compile OCCT on Windows with VC12 => [REGRESSION] Coding - problem compile OCCT using vc12 due to `noexcept`
2022-05-04 12:04 kgv Product Version 7.5.0 => 7.7.0
2022-06-02 17:09 kgv Relationship added has duplicate 0032994
2022-06-03 04:39 ddzama Relationship added parent of 0032921
2022-06-03 05:06 git Note Added: 0108806
2022-06-03 12:41 git Note Added: 0108822
2022-06-03 14:17 git Note Added: 0108832
2022-06-09 14:13 git Note Added: 0108937
2022-06-17 16:41 ddzama Relationship deleted child of 0032917
2022-06-17 16:49 ddzama Relationship added related to 0032887
2022-06-17 16:49 ddzama Relationship deleted related to 0032887
2022-06-17 16:51 ddzama Relationship added child of 0032887
2022-06-20 13:32 ddzama Relationship deleted child of 0032887
2022-06-20 13:36 ddzama Relationship deleted parent of 0032921
2022-06-20 13:37 ddzama Relationship added child of 0032887
2022-06-21 11:45 git Note Added: 0109137
2022-06-24 07:09 ddzama Assigned To ddzama => kgv
2022-06-24 07:09 ddzama Status assigned => resolved
2022-06-24 07:09 ddzama Steps to Reproduce Updated
2022-06-24 07:12 ddzama Note Added: 0109212
2022-06-24 07:15 ddzama Assigned To kgv => bugmaster
2022-06-24 09:35 kgv Note Added: 0109216
2022-06-24 09:35 kgv Assigned To bugmaster => ddzama
2022-06-24 09:35 kgv Status resolved => assigned
2022-06-24 09:37 kgv Note Edited: 0109216